petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLogEventDeactivateClass

Deactivates event logging for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventDeactivateClass(PetscClassId classid)

Not Collective

### Input Parameter

classid -The event class, for example MAT_CLASSID, SNES_CLASSID, etc.

### See Also

PetscLogEventActivateClass(),PetscLogEventActivate(),PetscLogEventDeactivate()

### Level

developer

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages